var fs = require('fs');
var path = require('path');

// Remove package-lock.json
var packageLockPath = path.join('.', 'package-lock.json');
if (fs.existsSync(packageLockPath)) {
    console.log('Removing package-lock.json');
    fs.unlinkSync(packageLockPath);
}

// Remove dist
var distPath = path.join('.', 'dist');
if (fs.existsSync(distPath)) {
    console.log('Removing dist');
    fs.rmdir(distPath, { recursive: true }, (err) => {
        if (err) {
            throw err;
        }
        console.log('dist deleted');
    });
}

// Remove deploy
var deployPath = path.join('.', 'deploy');
if (fs.existsSync(deployPath)) {
    console.log('Removing deploy');
    fs.rmdir(deployPath, { recursive: true }, (err) => {
        if (err) {
            throw err;
        }
        console.log('deploy deleted');
    });
}

// Remove node_modules
var nodeModulesPath = path.join('.', 'node_modules');
if (fs.existsSync(nodeModulesPath)) {
    console.log('Removing node_modules');
    fs.rmdir(nodeModulesPath, { recursive: true }, (err) => {
        if (err) {
            throw err;
        }
        console.log('node_modules deleted');
    });
}