import { Component, OnInit } from '@angular/core';
import { JhaAnimationService } from '@jha/jharesponsive/jha-responsive-core';
import { ListItem } from './listItem';

@Component({
	// tslint:disable-next-line:component-selector
	selector: 'animation',
	templateUrl: './animation.component.html',
	styleUrls: ['./animation.component.scss']
})
export class AnimationComponent implements OnInit {
	public accounts: ListItem[] = [];

	constructor(private jhaAnimationService: JhaAnimationService) { }

	ngOnInit(): void {
		this.getList().then((Data) => {
			this.accounts = Data;

			// After we've populated the data, we call the following method
			// in the animation service to animate the templated list, passing in
			// the prefix for the IDs in the list and the length of the list.
			this.jhaAnimationService.AnimateElements('account', this.accounts.length);
		});
	}

	// Get list items
	private getList(): Promise<ListItem[]> {
		// Dummy up list here
		const list = new Array<ListItem>();
		list.push(new ListItem('Check', 'Primary Checking', 'John Smith', 1248.19, true));
		list.push(new ListItem('Savings', 'Basic Savings', 'John Smith', 3144.72, true));
		list.push(new ListItem('TimeDeposit', '24 Month CD', 'John Smith', 2500.0, true));
		list.push(new ListItem('Loan', 'Auto Loan', 'John Smith', 18219.23, true));
		list.push(new ListItem('LoanHome', 'Home Mortgage', 'John Smith', 472936.50, true));
		list.push(new ListItem('Savings', 'Family Checking', 'Timmy Smith', 422.16, true));
		list.push(new ListItem('Savings', 'Family Checking', 'Brenda Smith', 723.88, true));

		return new Promise((resolve) => {
			setTimeout(() => resolve(list), 500);
		});
	}

	public openPattern(url: string): void {
		const win = window.open(url, '_blank');
		win.focus();
	}

}
