import { Component } from '@angular/core';
import { UntypedFormGroup, UntypedFormControl } from '@angular/forms';
import { JhaButtonGroupOption } from '@jha/jharesponsive/jha-buttons';

@Component({
	selector: 'buttons',
	templateUrl: './buttons.component.html',
	styleUrls: ['./buttons.component.scss']
})
export class ButtonsComponent {
	public bold: boolean = false;
	public italic: boolean = false;
	public underline: boolean = false;
	public pageLayoutOptions: JhaButtonGroupOption[] = [
		new JhaButtonGroupOption('Portrait', 'Portrait'),
		new JhaButtonGroupOption('Landscape', 'Landscape')
	];
	public buttonGroupOptions: JhaButtonGroupOption[] = [
		new JhaButtonGroupOption('Left', 'Left', 'This selects a value of Left'),
		new JhaButtonGroupOption('Middle', 'Middle', 'This selects a value of Middle'),
		new JhaButtonGroupOption('Right', 'Right', 'This selects a value of Right')
	];
	public selectedButtonGroupOption: string = 'Middle';

	public multipleButtonGroupOptions: JhaButtonGroupOption[] = [
		new JhaButtonGroupOption('First Option', '1', 'This selects a value of 1'),
		new JhaButtonGroupOption('Second Option', '2', 'This selects a value of 2'),
		new JhaButtonGroupOption('Third Option', '3', 'This selects a value of 3'),
		new JhaButtonGroupOption('Fourth Option', '4', 'This selects a value of 4')
	];
	public selectedMultipleButtonGroupOption: string[] = ['3', '4'];

	public verticalButtonGroupOptions: JhaButtonGroupOption[] = [
		new JhaButtonGroupOption('First Option', '1', 'This selects a value of 1'),
		new JhaButtonGroupOption('Second Option', '2', 'This selects a value of 2'),
		new JhaButtonGroupOption('Third Option', '3', 'This selects a value of 3'),
		new JhaButtonGroupOption('Fourth Option', '4', 'This selects a value of 4')
	];
	public selectedVerticalButtonGroupOption: string = '3';

	public popupButtonForm: UntypedFormGroup = new UntypedFormGroup({
		'popupBtnToggle': new UntypedFormControl(true),
		'popupBtnBtnGroup': new UntypedFormControl('Portrait')
	});

	public buttonClick(): void {
		console.log('Button was clicked');
	}

	public openPattern(url: string): void {
		const win = window.open(url, '_blank');
		win.focus();
	}
}
