import { UntypedFormGroup, ValidatorFn, ValidationErrors } from '@angular/forms';

export const PasswordMismatchValidator: ValidatorFn = (group: UntypedFormGroup): ValidationErrors | null => {
	const newPassword = group.get('newPassword').value;
	const newPasswordRepeated = group.get('newPasswordRepeated').value;

	if (newPassword !== newPasswordRepeated) {
		return  { 'passwordMismatch': true };
	}

	return null;
};
