import { Component, AfterViewInit } from '@angular/core';
import { JhaButtonGroupOption } from '@jha/jharesponsive/jha-buttons';
import { DragItem } from '../../../classes/drag-item';

declare var Sortable: any;

@Component({
  selector: 'drag-and-drop',
  templateUrl: './drag-and-drop.component.html',
  styleUrls: ['./drag-and-drop.component.scss']
})
export class DragAndDropComponent implements AfterViewInit {
	public dragListStyleOptions: JhaButtonGroupOption[] = [
		new JhaButtonGroupOption('Stacked Items', 'Stacked'),
		new JhaButtonGroupOption('Floating Items', 'Floating')
	];
	public dragListStyle: string = 'Stacked';
	public dragItemList1: DragItem[] = [
		new DragItem('Apple', 'A'),
		new DragItem('Banana', 'B'),
		new DragItem('Cherry', 'C'),
	];
	public dragItemList2: DragItem[] = [
		new DragItem('Mango', 'M'),
		new DragItem('Nectarine', 'N'),
		new DragItem('Orange', 'O'),
		new DragItem('Peach', 'P'),
		new DragItem('Strawberry', 'S')
	];

	ngAfterViewInit(): void {
		const thisObject = this;
		// tslint:disable-next-line:no-unused-expression
		new Sortable(document.getElementById('drag-items-1'),
			{
				group: 'drag-item-sample',
				sort: true,
				pull: true,
				put: true,
				delay: 0,
				animation: 150,
				chosenClass: 'jha-drag-item-chosen',
				scroll: true,
				dataIdAttr: 'id'
			});
		// tslint:disable-next-line:no-unused-expression
		new Sortable(document.getElementById('drag-items-2'),
			{
				group: 'drag-item-sample',
				sort: true,
				pull: true,
				put: true,
				delay: 0,
				animation: 150,
				chosenClass: 'jha-drag-item-chosen',
				scroll: true,
				dataIdAttr: 'id'
			});
	}

	public openPattern(url: string): void {
		const win = window.open(url, '_blank');
		win.focus();
	}
}
