import { Component } from '@angular/core';

@Component({
  selector: 'splitter',
  templateUrl: './fixed-layout-splitter.component.html',
  styleUrls: ['./fixed-layout-splitter.component.scss']
})
export class FixedLayoutSplitterComponent {
	public bottomRightVisibility: boolean = true;

	sizes = {
		section1: {
			area1: '*',
			area2: '300'
		},
		section2: {
			area1: '50',
			area2: '50'
		}
	};
	visibleSizes = {
		section1: {
			area1: '*',
			area2: '300px'
		},
		section2: {
			area1: '50%',
			area2: '50%'
		}
	};

	public dragEnd(section: number, {sizes}): void {
		if (section === 1) {
			this.sizes.section1.area1 = sizes[0];
			this.sizes.section1.area2 = sizes[1];
			this.visibleSizes.section1.area1 = this.checkIfStar(sizes[0], 'px');
			this.visibleSizes.section1.area2 = this.checkIfStar(sizes[1], 'px');
		} else if (section === 2) {
			this.sizes.section2.area1 = sizes[0];
			this.sizes.section2.area2 = sizes[1];
			this.visibleSizes.section2.area1 = this.checkIfStar(sizes[0], '%');
			this.visibleSizes.section2.area2 = this.checkIfStar(sizes[1], '%');
		}
	}

	public checkIfStar(value: any, type: string): any {
		if (value !== '*') {
			value = Math.round((value + Number.EPSILON) * 100) / 100;
			value = value + type;
		}

		return value;
	}

	public openPattern(url: string): void {
		const win = window.open(url, '_blank');
		win.focus();
	}

}
