import { Component } from '@angular/core';

import { JhaNotificationService, JhaNotificationTypes } from '@jha/jharesponsive/jha-notifications';

@Component({
	// tslint:disable-next-line:component-selector
	selector: 'notifications',
	templateUrl: './notifications.component.html',
	styleUrls: ['./notifications.component.scss']
})
export class NotificationsComponent {
	public showSuccessPopupNotification: boolean = false;
	public showInformationPopupNotification: boolean = false;
	public showErrorPopupNotification: boolean = false;
	public showWarningPopupNotification: boolean = false;
	public showAutoDismissPopupNotification: boolean = false;

	constructor(
		private jhaNotificationService: JhaNotificationService
	) { }

	public popupNotificationClicked(notificationType: string): void {
		console.log(notificationType + ' popup notification was clicked');
	}

	public showSuccessPopupNotificationService(): void {
		this.jhaNotificationService.DisplayPopupNotificationClick('This is a Success popup notification',
		JhaNotificationTypes.Success, () => { console.log('Success notification was clicked'); });
	}

	public showInformationPopupNotificationService(): void {
		this.jhaNotificationService.DisplayPopupNotificationClick('This is an Information popup notification',
		JhaNotificationTypes.Information, () => { console.log('Information notification was clicked'); });
	}

	public showWarningPopupNotificationService(): void {
		this.jhaNotificationService.DisplayPopupNotificationClick('This is a Warning popup notification',
		JhaNotificationTypes.Warning, () => { console.log('Warning notification was clicked'); });
	}

	public showErrorPopupNotificationService(): void {
		this.jhaNotificationService.DisplayPopupNotificationClick('This is an Error popup notification',
		JhaNotificationTypes.Error, () => { console.log('Error notification was clicked'); });
	}

	public showAutoDismissPopupNotificationService(): void {
		this.jhaNotificationService.DisplayPopupNotificationClick('This is a popup notification with auto dismiss disabled',
		JhaNotificationTypes.Success, () => { console.log('Notification with auto dismiss disabled was clicked'); }, false);
	}

	public showSuccessBannerNotificationService(): void {
		this.jhaNotificationService.DisplayBannerNotification('This is a Success banner notification', JhaNotificationTypes.Success, () => { this.notificationCallback(); });
	}

	public showInformationBannerNotificationService(): void {
		this.jhaNotificationService.DisplayBannerNotification('This is an Information banner notification', JhaNotificationTypes.Information, () => { this.notificationCallback(); });
	}

	public showWarningBannerNotificationService(): void {
		this.jhaNotificationService.DisplayBannerNotification('This is a Warning banner notification', JhaNotificationTypes.Warning, () => { this.notificationCallback(); });
	}

	public showErrorBannerNotificationService(): void {
		this.jhaNotificationService.DisplayBannerNotification('This is an Error banner notification', JhaNotificationTypes.Error, () => { this.notificationCallback(); });
	}

	public hideBannerNotificationService(): void {
		this.jhaNotificationService.HideBannerNotification(() => { this.hideNotificationCallback(); });
	}

	public notificationCallback(): void {
		console.log('Banner notification was closed');
	}

	public hideNotificationCallback(): void {
		console.log('Banner notification was hidden');
	}

	public openPattern(url: string): void {
		const win = window.open(url, '_blank');
		win.focus();
	}
}
