import { Component, OnInit } from '@angular/core';
import { JhaProcessTimelineStep, JhaProcessTimelineSubstep, JhaProcessTimelineStepStatus } from '@jha/jharesponsive/jha-process-timeline';

@Component({
	selector: 'process-timeline',
	templateUrl: './process-timeline.component.html',
	styleUrls: ['./process-timeline.component.scss']
})
export class ProcessTimelineComponent implements OnInit {
	public processTimelineWireSteps: JhaProcessTimelineStep[] = [];

	public ngOnInit(): void {

		this.processTimelineWireSteps = [
			new JhaProcessTimelineStep('New', JhaProcessTimelineStepStatus.Complete, [
				new JhaProcessTimelineSubstep('Ready')
			], true),
			new JhaProcessTimelineStep('OFAC', JhaProcessTimelineStepStatus.Complete, [
				new JhaProcessTimelineSubstep('OFAC Pending'),
				new JhaProcessTimelineSubstep('OFAC Failed', true, 'The OFAC check failed due to incomplete data'),
				new JhaProcessTimelineSubstep('OFAC Passed')
			], false, 'The OFAC Review step is probably the most complex step in the process'),
			new JhaProcessTimelineStep('Dual-Control Approval', JhaProcessTimelineStepStatus.Complete, [
				new JhaProcessTimelineSubstep('Required')
			], true),
			new JhaProcessTimelineStep('Verified', JhaProcessTimelineStepStatus.Warning, [
				new JhaProcessTimelineSubstep('Verified')
			]),
			new JhaProcessTimelineStep('Initiated', JhaProcessTimelineStepStatus.Error, [
				new JhaProcessTimelineSubstep('Initiated')
			]),
			new JhaProcessTimelineStep('Process', JhaProcessTimelineStepStatus.Incomplete)
		];

	}

	public stepClicked(stepName: string): void {
		console.log(stepName);
	}
}
