import { Component } from '@angular/core';
import { JhaButtonGroupOption } from '@jha/jharesponsive/jha-buttons';

@Component({
	selector: 'record-detail',
	templateUrl: './record-detail.component.html',
	styleUrls: ['./record-detail.component.scss']
})
export class RecordDetailComponent {
	public recordDetailContainerIsFullWidth: boolean = false;
	public recordDetailSpacing: string = 'Medium';
	public recordDetailSpacingOptions: JhaButtonGroupOption[] = [
		new JhaButtonGroupOption('Narrow Spacing', 'Narrow', 'Narrow spacing'),
		new JhaButtonGroupOption('Medium Spacing', 'Medium', 'Medium spacing'),
		new JhaButtonGroupOption('Wide Spacing', 'Wide', 'Wide spacing'),
		new JhaButtonGroupOption('Full Spacing', 'Full', 'Full spacing')
	];

	public recordDetailSpacingChange(): void {
		if (this.recordDetailSpacing === 'Full') {
			this.recordDetailContainerIsFullWidth = true;
		} else {
			this.recordDetailContainerIsFullWidth = false;
		}
	}

	public openPattern(url: string): void {
		const win = window.open(url, '_blank');
		win.focus();
	}

}
