import { Component, OnInit } from '@angular/core';
import { LoanApp } from '../../../classes/loan-app';

@Component({
	selector: 'status-icon',
	templateUrl: './status-icon.component.html',
	styleUrls: ['./status-icon.component.scss']
})
export class StatusIconComponent implements OnInit {
	public appList: LoanApp[] = [];
	public sortedAppList: LoanApp[];
	public sortColumn: string;
	public sortDirection: number = 1;

	constructor() { }

	ngOnInit(): void {
		// DUMMY DATA
		this.appList.push(new LoanApp('0000009283: SMITH, MARY', new Date('10/2/2019'), 'New Auto', 25000, 'Approved', ''));
		this.appList.push(new LoanApp('0000109230: JONES, MARK', new Date('10/22/2019'), 'Line of Credit', 8000, 'Denied', 'No credit history'));
		this.appList.push(new LoanApp('0000005928: JOHNSON, HARRIET', new Date('10/28/2019'), 'Used Auto', 6500, 'Countered', 'Countered with loan amount of $5000'));
		this.appList.push(new LoanApp('0000009782: PHILLIPS, GARY', new Date('11/2/2019'), 'New Auto', 17500, 'Approved', ''));
		this.appList.push(new LoanApp('0002312222: COSTANZA, GEORGE', new Date('11/2/2019'), 'HELOC', 32000, 'In Progress', ''));
		this.appList.push(new LoanApp('0000974854: KRAMER, JERRY', new Date('11/24/2019'), 'HELOC', 50000, 'Validate Value', 'Unable to validate home value'));
		this.appList.push(new LoanApp('0000010188: PRYOR, EDDIE', new Date('12/5/2019'), 'Used Auto', 19000, 'Awaiting Docs', 'Awaiting documentation'));

		this.sortedAppList = this.appList.slice();
		this.sortList('appDate');
	}

	// Sort the transaction history
	public sortList(sortColumn: string): any {
		// Reverse the sort direction
		this.sortDirection *= -1;
		const sortDirection: number = this.sortDirection;

		// Remember the sort column
		this.sortColumn = sortColumn;

		this.sortedAppList.sort((itemA: LoanApp, itemB: LoanApp) => {
			// Compare ascendening
			let sortResult = 0;
			if (itemA[sortColumn] < itemB[sortColumn]) {
				sortResult = -1;
			} else if (itemA[sortColumn] > itemB[sortColumn]) {
				sortResult = 1;
			}

			// Adjust for sort direction
			sortResult *= sortDirection;

			return sortResult;
		});
	}

	public openPattern(url: string): void {
		const win = window.open(url, '_blank');
		win.focus();
	}

}
