import { Component } from '@angular/core';

@Component({
	selector: 'tags',
	templateUrl: './tags.component.html',
	styleUrls: ['./tags.component.scss']
})
export class TagsComponent {
	public searchFilterTagList1: string[] = ['Name starts with F', 'Location is Monett', 'Department is Tech Services - EA'];
	public searchFilterTagList2: string[] = ['Name starts with F', 'Location is Monett', 'Department is Tech Services - EA'];
	public metadataTagList: string[] = ['javascript', 'angular', 'typescript', 'html5-canvas'];

	public tagClicked(tag: string): void {
		console.log('You clicked tag "' + tag + '"');
	}

	public removeTagFromList1(tag: string): void {
		const index = this.searchFilterTagList1.indexOf(tag);
		if (index >= 0) {
			this.searchFilterTagList1.splice(index, 1);
		}
	}

	public removeTagFromList2(tag: string): void {
		const index = this.searchFilterTagList2.indexOf(tag);
		if (index >= 0) {
			this.searchFilterTagList2.splice(index, 1);
		}
	}

	public clearList2(): void {
		this.searchFilterTagList2 = [];
	}

	public resetSearchFilters1(): void {
		this.searchFilterTagList1 = ['Name starts with F', 'Location is Monett', 'Department is Tech Services - EA'];
	}

	public resetSearchFilters2(): void {
		this.searchFilterTagList2 = ['Name starts with F', 'Location is Monett', 'Department is Tech Services - EA'];
	}

	public openPattern(url: string): void {
		const win = window.open(url, '_blank');
		win.focus();
	}
}
