import { Component, OnInit } from '@angular/core';
import { ListItem } from './listItem';

@Component({
	selector: 'templated-list',
	templateUrl: './templated-list.component.html',
	styleUrls: ['./templated-list.component.scss']
})
export class TemplatedListComponent implements OnInit {
	public loadingListItems: boolean = true;
	public list: ListItem[] = [];

	ngOnInit(): void {
		window.setTimeout(() => {
			this.loadLists();
		}, 150);
	}

	// load lists
	private loadLists(): void {
		this.loadingListItems = true;
		this.getList().then((Data) => {
			this.loadingListItems = false;
			this.list = Data;
		});
	}

	// Get list items
	public getList(): Promise<ListItem[]> {
		// Dummy up list here
		const list = new Array<ListItem>();
		list.push(new ListItem('Web', 'List Item 1', 'Subheader 1', 99.99, true));
		list.push(new ListItem('Check', 'List Item 2', 'Subheader 2', 44.99, true));
		list.push(new ListItem('NonJHAMisc', 'List Item 3', 'Subheader 3', 19.23, false));

		return new Promise((resolve) => {
			setTimeout(() => resolve(list), 500);
		});
	}

	public openPattern(url: string): void {
		const win = window.open(url, '_blank');
		win.focus();
	}

}
